Loading...
Searching...
No Matches
NonlinearOptimizer.cpp File Reference

Convergence functions not dependent on graph types. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

bool | gtsam::checkConvergence (double relativeErrorTreshold, double absoluteErrorTreshold, double errorThreshold, double currentError, double newError, NonlinearOptimizerParams::Verbosity verbosity=NonlinearOptimizerParams::SILENT)
| Check whether the relative error decrease is less than relativeErrorTreshold, the absolute error decrease is less than absoluteErrorTreshold, or the error itself is less than errorThreshold.
GTSAM_EXPORT bool | gtsam::checkConvergence (const NonlinearOptimizerParams &params, double currentError, double newError)

## Detailed Description

Convergence functions not dependent on graph types.

Author
  Frank Dellaert

Date
  Jul 17, 2010